Subject: Re: [PATCH v6 0/6] KASan for arm

From: Florian Fainelli <[email-masked]>
Date: Thu, 14 Nov 2019 15:01:19 -0800

Hello Marco,

On 11/14/19 10:12 AM, Marco Felsch wrote:
> Hi Florian,
> 
> first of all, many thanks for your work on this series =) I picked your
> and Arnd patches to make it compilable. Now it's compiling but my imx6q
> board didn't boot anymore. I debugged the code and found that the branch
> to 'start_kernel' won't be reached
> 
> 8<------- arch/arm/kernel/head-common.S -------
> ....
> 
> #ifdef CONFIG_KASAN
>         bl      kasan_early_init
> #endif
> 	mov     lr, #0
> 	b       start_kernel
> ENDPROC(__mmap_switched)
> 
> ....
> 8<----------------------------------------------
> 
> Now, I found also that 'KASAN_SHADOW_OFFSET' isn't set due to missing
> 'CONFIG_KASAN_SHADOW_OFFSET' and so no '-fasan-shadow-offset=xxxxx' is
> added. Can that be the reason why my board isn't booted anymore?

The latest that I have is here, though not yet submitted since I needed
to solve one issue on a specific platform with a lot of memory:

https://github.com/ffainelli/linux/pull/new/kasan-v7

Can you share your branch as well? I did not pick all of Arnd's patches
since some appeared to be seemingly independent from KASan on ARM. This
is the KASAN related options that are set in my configuration:

grep KASAN build/linux-custom/.config
CONFIG_HAVE_ARCH_KASAN=y
CONFIG_CC_HAS_KASAN_GENERIC=y
CONFIG_KASAN=y
CONFIG_KASAN_GENERIC=y
CONFIG_KASAN_OUTLINE=y
# CONFIG_KASAN_INLINE is not set
CONFIG_KASAN_STACK=1
CONFIG_TEST_KASAN=m

are you using something different by any chance?
-- 
Florian

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel